Skip to main content

The timestamp of your latest password change

GET/v2/users/self/credentials/password-updated-at
API version
v2
Request method
GET
Operation ID
user-get-password-updated-at

Request​

Responses​

Format
application/json
Description

Timestamp of latest password change.

  • passwordUpdatedAtstring (date-time)required
Content-Type: application/json

{
"passwordUpdatedAt": "1985-10-26T01:21:00.000Z"
}
{
"properties": {
"passwordUpdatedAt": {
"format": "date-time",
"type": "string"
}
},
"required": [
"passwordUpdatedAt"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self/credentials/password-updated-at
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.getPasswordUpdatedAt({
"data": {}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\GetPasswordUpdatedAt\GetPasswordUpdatedAtRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\GetPasswordUpdatedAt\GetPasswordUpdatedAtRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// GetPasswordUpdatedAtRequestBody to learn how to construct a valid instance
$body = new GetPasswordUpdatedAtRequestBody(/* TODO: ... */);

$request = (new GetPasswordUpdatedAtRequest(
body: $body
));
$response = $client->user()->getPasswordUpdatedAt($request);

var_dump($response->getBody();

On this page